/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package tnviet.proj.jna.report;

/**
 *
 * @author Administrator
 */
import com.jgoodies.forms.builder.ButtonStackBuilder;
import com.jgoodies.forms.builder.PanelBuilder;
import com.jgoodies.forms.layout.FormLayout;
import com.jgoodies.uif_lite.component.UIFSplitPane;
import com.jgoodies.uif_lite.panel.SimpleInternalFrame;
import com.l2fprod.common.swing.JButtonBar;
import java.awt.BorderLayout;
import java.awt.Color;
import java.awt.Dimension;
import java.awt.event.ItemEvent;
import java.lang.reflect.InvocationTargetException;
import java.sql.SQLException;
import java.util.logging.Level;
import java.util.logging.Logger;
import javax.swing.JFrame;
import javax.swing.JToolBar;
import javax.swing.SwingUtilities;
import org.jvnet.substance.*;
import tnviet.proj.jna.Program;
import tnviet.proj.jna.utilities.ResourceManager;
import com.l2fprod.common.swing.plaf.LookAndFeelAddons;
import java.awt.event.ItemListener;
import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.Statement;
import java.sql.Timestamp;
import java.util.Calendar;
import java.util.GregorianCalendar;
import javax.swing.AbstractButton;
import javax.swing.ButtonGroup;
import javax.swing.JPanel;
import javax.swing.JToggleButton;
import org.jdesktop.swingx.JXTitledPanel;
import org.jfree.chart.ChartFactory;
import org.jfree.chart.ChartPanel;
import org.jfree.chart.JFreeChart;
import org.jfree.chart.axis.CategoryAxis;
import org.jfree.chart.axis.NumberAxis;
import org.jfree.chart.axis.ValueAxis;
import org.jfree.chart.plot.CategoryPlot;
import org.jfree.chart.plot.CombinedDomainCategoryPlot;
import org.jfree.chart.plot.PlotOrientation;
import org.jfree.chart.renderer.category.BarRenderer;
import org.jfree.chart.renderer.category.StackedBarRenderer;
import org.jfree.data.category.DefaultCategoryDataset;
public class ReportPane extends JPanel implements  ItemListener{
    ResourceManager resourceManager = new ResourceManager(this.getClass(), Program.locale);
    private AbstractButton todayButton, totalsButton, hourlyButton, weeklyButton, monthlyButton, trafficVolumeChartButton;
    JFreeChart chart;

    public ReportPane() {
        try {
            chart = this.createLast24HoursChart(Program.connection);
        } catch (SQLException ex) {
        }
        JToolBar categoryBar = this.createCategoryBar();
        JXTitledPanel categoryPane = new JXTitledPanel(resourceManager.getString("reportCategory"), categoryBar);
        JXTitledPanel reportPane = new JXTitledPanel(resourceManager.getString("report"), new ChartPanel(chart));
        UIFSplitPane splitPane = new UIFSplitPane(UIFSplitPane.HORIZONTAL_SPLIT);
        splitPane.setTopComponent(categoryPane);
        splitPane.setBottomComponent(reportPane);
        this.add(splitPane, BorderLayout.CENTER);
    }
    
    //private JToolBar tb;



    public static void main(String[] args){
        try {
//        try {
//
//            UIManager.setLookAndFeel("com.sun.java.swing.plaf.nimbus.NimbusLookAndFeel");
//        } catch (ClassNotFoundException ex) {
//            Logger.getLogger(ReportPane.class.getName()).log(Level.SEVERE, null, ex);
//        } catch (InstantiationException ex) {
//            Logger.getLogger(ReportPane.class.getName()).log(Level.SEVERE, null, ex);
//        } catch (IllegalAccessException ex) {
//            Logger.getLogger(ReportPane.class.getName()).log(Level.SEVERE, null, ex);
//        } catch (UnsupportedLookAndFeelException ex) {
//            Logger.getLogger(ReportPane.class.getName()).log(Level.SEVERE, null, ex);
//        }
            SwingUtilities.invokeAndWait(new Runnable() {

                public void run() {
                    try {
                        LookAndFeelAddons.setAddon(LookAndFeelAddons.getBestMatchAddonClassName());
                        SubstanceLookAndFeel.setSkin("org.jvnet.substance.api.skin.GeminiSkin");
                        
                        JFrame frame = new JFrame();
                        frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
                        JFrame.setDefaultLookAndFeelDecorated(true);
                        frame.setDefaultLookAndFeelDecorated(true);

                        ReportPane a = new ReportPane();
                        SimpleInternalFrame internalFrame = new SimpleInternalFrame(null, "asdfsdfsdf", a.createCategoryBar(),null);
                        UIFSplitPane spt = new UIFSplitPane(UIFSplitPane.HORIZONTAL_SPLIT);

                        spt.setLeftComponent(a.createCategoryBar());
                        spt.setRightComponent(internalFrame);
                        spt.setEnabled(false);
                        spt.setDividerSize(20);
                        frame.getContentPane().add(spt, BorderLayout.NORTH);
                        //frame.setPreferredSize(new Dimension(200, 200));
                        frame.pack();
                        frame.setVisible(true);
                        Class.forName("org.hsqldb.jdbc.JDBCDriver");
                        Connection con = null;
                        try {
                            con = DriverManager.getConnection("jdbc:hsqldb:file:G:\\All Projects\\MyRepository\\JNetAnalyzer\\db\\jna_db", "SA", "");
                            
                        } catch (SQLException ex) {
                            System.out.println("bbbb");
                        }
                        if (con != null){
                        } else {
                            System.out.println("con = null");
                        }

                        
                    } catch (InstantiationException ex) {
                        Logger.getLogger(ReportPane.class.getName()).log(Level.SEVERE, null, ex);
                    } catch (IllegalAccessException ex) {
                        Logger.getLogger(ReportPane.class.getName()).log(Level.SEVERE, null, ex);
                    } catch (ClassNotFoundException ex) {
                        Logger.getLogger(ReportPane.class.getName()).log(Level.SEVERE, null, ex);
                    }
                }
            });
        } catch (InterruptedException ex) {
        } catch (InvocationTargetException ex) {
        }
        
        

    }



    public JFreeChart createLast24HoursChart(Connection con) throws SQLException{
        
        DefaultCategoryDataset datasetTraffic = new DefaultCategoryDataset();
        DefaultCategoryDataset datasetPackets = new DefaultCategoryDataset();
        CategoryAxis domainAxis = new CategoryAxis(resourceManager.getString("hour"));
        ValueAxis valueAxis1 = new NumberAxis(resourceManager.getString("traffic") + " " + "MB");
        ValueAxis valueAxis2 = new NumberAxis("Packets");
        StackedBarRenderer renderer = new StackedBarRenderer(false);
        CategoryPlot plot1 = new CategoryPlot(datasetTraffic, domainAxis, valueAxis1, renderer);
        CategoryPlot plot2 = new CategoryPlot(datasetPackets, domainAxis, valueAxis2, renderer);
        CombinedDomainCategoryPlot plot = new CombinedDomainCategoryPlot(domainAxis);
        plot.add(plot1, 1);
        plot.add(plot2, 1);
        for(int i = 24; i>=0; i--){
            Calendar cal = new GregorianCalendar();
            cal.add(Calendar.HOUR, -i);
            int hourOfDay = cal.get(Calendar.HOUR_OF_DAY);
            ResultSet rs = this.createHoursDiffResultSet(i, con);
            rs.next();
            double incoming = rs.getDouble(1)/8192;
            double outgoing = rs.getDouble(2)/8192;
            long inPackets = rs.getLong(3);
            long outPackets = rs.getLong(4);
            datasetTraffic.addValue(incoming, resourceManager.getString("incoming"),
                    String.valueOf(hourOfDay)
                    );
            datasetTraffic.addValue(outgoing, resourceManager.getString("outgoing"),
                    String.valueOf(hourOfDay)
                    );
            datasetPackets.addValue(inPackets, resourceManager.getString("inPackets"), String.valueOf(hourOfDay));
            datasetPackets.addValue(outPackets, resourceManager.getString("outPackets"), String.valueOf(hourOfDay));
        }
//        JFreeChart chart = ChartFactory.createStackedBarChart(
//                    resourceManager.getString("trafficLast24h"),
//                    resourceManager.getString("hour"),
//                    resourceManager.getString("traffic" + " " + "MB"), datasetTraffic, PlotOrientation.VERTICAL, true, true, false);
        plot2.setOrientation(PlotOrientation.VERTICAL);
        JFreeChart chart1 = new JFreeChart(resourceManager.getString("trafficLast24h"), plot);
        plot.setBackgroundPaint(Color.white);
        return chart1;
    }

    private ResultSet createHoursDiffResultSet(int hourdiff, Connection con) throws SQLException{
        StringBuilder sql = new StringBuilder();
        sql.append("SELECT SUM(INCOMING), SUM(OUTGOING), SUM(IN_PACKETS), SUM(OUT_PACKETS) FROM PUBLIC.JNA_TRAFFIC ");
        sql.append("WHERE DATEDIFF('hh',TIME,NOW) = ");
        sql.append(hourdiff);
        sql.append(" AND TIME < NOW");
        Statement stm  = con.createStatement();
        ResultSet rs = stm.executeQuery(sql.toString());
        stm.close();
        return rs;
    }
    private ResultSet createDaysDiffResultSet(int daydiff, Connection con) throws SQLException {
        StringBuilder sql = new StringBuilder();
        sql.append("SELECT SUM(INCOMING), SUM(OUTGOING) FROM PUBLIC.JNA_TRAFFIC WHERE ");
        sql.append(" TIMESTAMPDIFF(SQL_TSI_DAY,TIME, ? ) = 0");
        PreparedStatement pst = con.prepareCall(sql.toString());
        //pst.setTimestamp(1, day);
        ResultSet rs = pst.executeQuery();
        pst.close();
        return rs;
    }


  

    private  ResultSet createThisWeekTotalsResultSet(Connection con) throws SQLException{
        StringBuilder sql = new StringBuilder();
        sql.append("SELECT SUM(INCOMING), SUM(OUTGOING) FROM PUBLIC.JNA_TRAFFIC WHERE ");
        sql.append("TIMESTAMPDIFF(SQL_TSI_WEEK, TIME, NOW) = 0 AND YEAR(TIME) = YEAR(NOW);");
        Statement stm = con.createStatement();
        ResultSet rs = stm.executeQuery(sql.toString());
        stm.close();
        return rs;
    }

    private ResultSet createThisMonthTotalsResultSet(Connection con) throws SQLException{
        StringBuilder sql = new StringBuilder();
        sql.append("SELECT SUM(INCOMING), SUM(OUTGOING) FROM PUBLIC.JNA_TRAFFIC WHERE ");
        sql.append("TIMESTAMPDIFF(SQL_TSI_MONTH, TIME, NOW) = 0 AND YEAR(TIME) = YEAR(NOW)");
        Statement stm = con.createStatement();
        ResultSet rs = stm.executeQuery(sql.toString());
        stm.close();
        return rs;
    }

    private ResultSet createTrafficSinceResultSet(Timestamp timestamp, Connection con) throws SQLException{
        StringBuilder sql = new StringBuilder();
        sql.append("SELECT SUM(INCOMING), SUM(OUTGOING) FROM PUBLIC.JNA_TRAFFIC WHERE ");
        sql.append("TIME >= ?");
        PreparedStatement pst = con.prepareCall(sql.toString());
        pst.setTimestamp(1, timestamp);
        ResultSet rs = pst.executeQuery();
        pst.close();
        return rs;
    }

    private ResultSet createSameHourResultSet(Timestamp hour, Connection con) throws SQLException {
        StringBuilder sql = new StringBuilder();
        sql.append("SELECT SUM(INCOMING), SUM(OUTGOING) FROM PUBLIC.JNA_TRAFFIC WHERE ");
        sql.append(" TIMESTAMPDIFF(SQL_TSI_HOUR,TIME, ? ) = 0");
        PreparedStatement pst = con.prepareCall(sql.toString());
        pst.setTimestamp(1, hour);
        ResultSet rs = pst.executeQuery();
        pst.close();
        return rs;
    }

    private ResultSet createSameDayResultSet(Timestamp day, Connection con) throws SQLException {
        StringBuilder sql = new StringBuilder();
        sql.append("SELECT SUM(INCOMING), SUM(OUTGOING) FROM PUBLIC.JNA_TRAFFIC WHERE ");
        sql.append(" TIMESTAMPDIFF(SQL_TSI_DAY,TIME, ? ) = 0");
        PreparedStatement pst = con.prepareCall(sql.toString());
        pst.setTimestamp(1, day);
        ResultSet rs = pst.executeQuery();
        pst.close();
        return rs;
    }
    private ResultSet createSameWeekResultSet(Timestamp day, Connection con) throws SQLException {
        StringBuilder sql = new StringBuilder();
        sql.append("SELECT SUM(INCOMING), SUM(OUTGOING) FROM PUBLIC.JNA_TRAFFIC WHERE ");
        sql.append(" TIMESTAMPDIFF(SQL_TSI_WEEK,TIME, ? ) = 0");
        PreparedStatement pst = con.prepareCall(sql.toString());
        pst.setTimestamp(1, day);
        ResultSet rs = pst.executeQuery();
        pst.close();
        return rs;
    }

    private ResultSet createSameMonthResultSet(Timestamp month, Connection con) throws SQLException {
        StringBuilder sql = new StringBuilder();
        sql.append("SELECT SUM(INCOMING), SUM(OUTGOING) FROM PUBLIC.JNA_TRAFFIC WHERE ");
        sql.append(" TIMESTAMPDIFF(SQL_TSI_MONTH,TIME, ? ) = 0");
        PreparedStatement pst = con.prepareCall(sql.toString());
        pst.setTimestamp(1, month);
        ResultSet rs = pst.executeQuery();
        pst.close();
        return rs;
    }

    private ResultSet createHourlyResultSet(Timestamp from, Timestamp to, Connection con) throws SQLException {
        StringBuilder sql = new StringBuilder();
        sql.append("SELECT TIME, INCOMING, OUTGOING FROM PUBLIC.JNA_TRAFFIC WHERE ");
        sql.append(" TIME BETWEEN ? AND ? ");
        PreparedStatement pst = con.prepareCall(sql.toString());
        pst.setTimestamp(1, from);
        pst.setTimestamp(2, to);
        ResultSet rs = pst.executeQuery();
        pst.close();
        return rs;
    }

    // Panel Factory
    private JPanel createTrafficTodayPane(Connection con){
        StringBuilder sql = new StringBuilder();
        sql.append("SELECT SUM(INCOMING), SUM(OUTGOING) FROM PUBLIC.JNA_TRAFFIC WHERE CAST(TIME AS DATE) = CURRENT_DATE");
        Double incoming = 0.0d, outgoing = 0.0d;
        try {
            Statement st = con.createStatement();
            ResultSet rs = st.executeQuery(sql.toString());
            if (rs.next()) {
                incoming = incoming + rs.getDouble(1);
                outgoing = outgoing + rs.getDouble(2);
            }
        } catch (SQLException ex) {
        }
        PanelBuilder builder = new PanelBuilder(new FormLayout(TOOL_TIP_TEXT_KEY));
        return builder.getPanel();


    }





    private JToolBar createCategoryBar(){
            JToolBar categoryBar = new JToolBar(resourceManager.getString("reportCategory"), JToolBar.VERTICAL);
            categoryBar.setFloatable(false);

            ButtonGroup buttonGroup;
            buttonGroup = new ButtonGroup();
            todayButton = new JToggleButton(resourceManager.getString("today"), resourceManager.createImageIcon("1day.png", "Today"));
            todayButton.setActionCommand("lalala");
            totalsButton = new JToggleButton(resourceManager.getString("totals"), resourceManager.createImageIcon("totals.png", "Totals"));
            trafficVolumeChartButton = new JToggleButton(resourceManager.getString("trafficVolumeChart"), resourceManager.createImageIcon("Bar Graph.png", "Traffic volume chart"));
            hourlyButton = new JToggleButton(resourceManager.getString("hourly"), resourceManager.createImageIcon("Hourglass.png", "Hourly report"));
            weeklyButton = new JToggleButton(resourceManager.getString("weekly"), resourceManager.createImageIcon("7days.png", "Weekly report"));
            monthlyButton = new JToggleButton(resourceManager.getString("monthly"), resourceManager.createImageIcon("month.png", "Monthly report"));

            todayButton.addItemListener(this);
            todayButton.setVerticalTextPosition(AbstractButton.BOTTOM);
            todayButton.setHorizontalTextPosition(AbstractButton.CENTER);
            totalsButton.addItemListener(this);
            totalsButton.setVerticalTextPosition(AbstractButton.BOTTOM);
            totalsButton.setHorizontalTextPosition(AbstractButton.CENTER);
            trafficVolumeChartButton.addItemListener(this);
            trafficVolumeChartButton.setVerticalTextPosition(AbstractButton.BOTTOM);
            trafficVolumeChartButton.setHorizontalTextPosition(AbstractButton.CENTER);
            hourlyButton.addItemListener(this);
            hourlyButton.setVerticalTextPosition(AbstractButton.BOTTOM);
            hourlyButton.setHorizontalTextPosition(AbstractButton.CENTER);
            weeklyButton.addItemListener(this);
            weeklyButton.setVerticalTextPosition(AbstractButton.BOTTOM);
            weeklyButton.setHorizontalTextPosition(AbstractButton.CENTER);
            monthlyButton.addItemListener(this);
            monthlyButton.setVerticalTextPosition(AbstractButton.BOTTOM);
            monthlyButton.setHorizontalTextPosition(AbstractButton.CENTER);

            buttonGroup.add(todayButton);
            buttonGroup.add(totalsButton);
            buttonGroup.add(trafficVolumeChartButton);
            buttonGroup.add(hourlyButton);
            buttonGroup.add(weeklyButton);
            buttonGroup.add(monthlyButton);


            com.jgoodies.forms.builder.ButtonStackBuilder tba= new ButtonStackBuilder();
            tba.addGridded(todayButton);
            tba.addGridded(totalsButton);
            tba.addGridded(trafficVolumeChartButton);
            tba.addGridded(hourlyButton);
            tba.addGridded(weeklyButton);
            tba.addGridded(monthlyButton);

            tba.getLayout().setRowGroups(new int[][] {{1,2,3,4,5,6}});
            categoryBar.add(tba.getPanel(), BorderLayout.CENTER);
            todayButton.setSelected(true);
            return categoryBar;
        }

    public void itemStateChanged(ItemEvent e) {
        int state = e.getStateChange();
        String cmd = ((JToggleButton)e.getSource()).getActionCommand();
        if(state == ItemEvent.SELECTED){
            System.out.println(cmd);
        } else {
        }
    }

}
